%global		fontikcommit	5dbbc513
Name:		fontik
Version:	0.6.1
Release:	10.20120305git%{fontikcommit}%{?dist}
Summary:	A Configuration Tool for Font-wise, User-set Fontconfig Rules

Group:		User Interface/X
License:	GPLv3
URL:		http://suruma.freeflux.net/blog/archive/2009/10/14/fontik-a-font-configuration-gui.html
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone git://gitorious.org/fontik/fontik.git
#  cd fontik
#  export fontikcommit=5dbbc513
#  git archive --format tar --prefix fontik-${fontikcommit}/ ${fontikcommit} |\
#      gzip -c > ../fontik-${fontikcommit}.tar.gz
Source0:	%{name}-%{fontikcommit}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-valac-save-temps.patch
Patch1:		fontik-gee-0.8.patch

BuildRequires:	libgee-devel
BuildRequires:	libxml2-devel
BuildRequires:	fontconfig-devel
BuildRequires:	gtk2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	vala

%description
Fontik is basically intended to tweak and configure some properties of
fonts. These settings are usually set system-wide while installing the
fonts. The power of fontconfig is thus limited when it comes to the
user.

%prep
%setup -q -n %{name}-%{fontikcommit}
%patch0 -p1 -b .valac-save-temps
%patch1 -p1 -b .geefix

%build
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}

desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
%{SOURCE1}


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/fontik*
%{_datadir}/fontik/
%{_libexecdir}/fontik/
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-10.20120305git5dbbc513
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-9.20120305git5dbbc513
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-8.20120305git5dbbc513
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-7.20120305git5dbbc513
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-6.20120305git5dbbc513
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5.20120305git5dbbc513
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 10 2012 Daiki Ueno <dueno@redhat.com> - 0.6.1-4.20120305git5dbbc513
- Rebuild for new libgee

* Fri Sep 14 2012 Daiki Ueno <dueno@redhat.com> - 0.6.1-3.20120305git5dbbc513
- Rebuild for new libgee

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2.20120305git5dbbc513
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar  5 2012 Tom Callaway <spot@fedoraproject.org> - 0.6.1-1.20120305git5dbbc513
- update to 0.6.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-6.20100901git8dd5b9fe7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.6-5.20100901git8dd5b9fe7
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4.20100901git8dd5b9fe7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 13 2010 Daiki Ueno <dueno@redhat.com> - 0.6-3.20100901git8dd5b9fe7
- add patch to save temporary files (closes #661826)

* Wed Dec  8 2010 Daiki Ueno <dueno@redhat.com> - 0.6-2.20100901git8dd5b9fe7
- add gtk2-devel to BR (closes #660916)

* Wed Sep  8 2010 Daiki Ueno <dueno@redhat.com> - 0.6-1.20100901git8dd5b9fe7
- new upstream snapshot (fontik-makefile.patch is no longer necessary)

* Mon Aug 30 2010 Daiki Ueno <dueno@redhat.com> - 0-0.3.20100825git8e8cea81d
- use only "variable style" macro for build root

* Thu Aug 26 2010 Daiki Ueno <dueno@redhat.com> - 0-0.2.20100825git8e8cea81d
- simplify %%description
- use %%{_prefix} in %%install
- omit "rm -rf $RPM_BUILD_ROOT"

* Wed Aug 25 2010 Daiki Ueno <dueno@redhat.com> - 0-0.1.20100825git8e8cea81d
- initial packaging for Fedora

